#!flask/bin/python
from flask import Flask, json, jsonify, request, abort
import logging

app = Flask(__name__)


def say_hello(name):
    return "hello " + name


@app.route("/hello/api/v1.0/hi", methods=["POST"])
def hi():
    if not request.json or not "name" in request.json:
        abort(400)
    name = request.json["name"]
    return jsonify(
        response=say_hello(name)
    ), 201


if __name__ == "__main__":
    app.run(debug=True, port=8090)
